---
# Install CRON jobs running only on provider

- name: "Install CRON jobs running on provider"
  cron:
    name: "{{ item.key }}"
    state: present
    cron_file: "{{ aedir_cron_file }}"
    user: "{{ item.value['user']|default('root') }}"
    hour: "{{ item.value['hour']|default('*') }}"
    minute: "{{ item.value.minute }}"
    job: "{{ aedir_python }} -m {{ item.value.pyjob }}"
  with_dict:
    aedir_pproc:
      minute: "{{ aedir_cron_minutes.aedir_pproc }}"
      pyjob: "aedir_pproc.cron {{ aedir_rundir }}/aedir_pproc_update.state"
    aedir_pproc_pwd:
      user: "ae-dir-pwd"
      minute: "{{ aedir_cron_minutes.aedir_pproc_pwd }}"
      pyjob: "aedir_pproc.pwd.cron"
    aedir_pproc_pwd_expwarn:
      user: "ae-dir-pwd"
      hour: "1"
      minute: "23"
      pyjob: "aedir_pproc.pwd.expwarn"

- name: "Install CRON job for exporting slapd databases"
  cron:
    name: "ae_dir_slapcat"
    state: present
    user: root
    cron_file: "{{ aedir_cron_file }}"
    minute: "{{openldap_backup_cron_args.minute }}"
    hour: "{{openldap_backup_cron_args.hour }}"
    job: "{{ openldap_backup_script }}"
  when: openldap_role == 'provider'
